#!/usr/bin/env python3

from jp4_composite import JP4_C
#import cv2
import numpy as np
import sys
from PIL import Image, ImageOps
import os

try:
  src = sys.argv[1]
except IndexError:
  src = "."

try:
  dst = sys.argv[2]
except IndexError:
  dst = "."

lst = os.listdir(src)
lst.sort()

for f in lst:

  path = os.path.join(src,f)
  if os.path.isfile(path):
    print("Converting "+f)
    img = JP4_C(path)
    #print(img.exif.toString())
    #print(img.exif.data['Model'])
    img.deblock()
    img.demosaic_bilinear()
    img.saturation()

    subs = img.extract_subframes()
    for i in range(len(subs)):
      #subs[i].save(os.path.join("../res",img.basename+"_"+str(img.subnames[i])+".png"))
      subs[i].save(os.path.join(dst,img.basename+"_"+str(img.subnames[i])+".jpeg"))

